Subject: Re: git bug? + question

From: Martin Waitz <[email-masked]>
Date: Fri, 3 Nov 2006 10:59:06 +0100

hoi :)

On Fri, Nov 03, 2006 at 12:51:32AM -0800, Junio C Hamano wrote:
>     With separate remotes, I'd need something like:
> 
>             for b in master maint next pu
>             do
>                     git checkout $b && git pull && make || break
>             done
> 
>     And I also would need to have per-branch configuration to merge
>     from ". remotes/origin/$b" without re-fetching while on a
>     non-master branch $b, for the above to work.  I still need to
>     remember to process "master" first, so all things considered,
>     this is a regression in usability for my workflow.

you could also run git-fetch first and then always default to
the local repository.  But that would of course make pull just
a shortcut for merge, without any fetch.

Would it be so bad for you to call fetch three times?
I think the most intuitive thing for pull would be to fetch into
remotes/<remotename>/* and then to merge
remotes/<remotename>/<currentbranch>.

-- 
Martin Waitz